# Bria Background Replace API

> စာသားပရောမ့် သို့မဟုတ် ကိုးကားပုံကို အသုံးပြု၍ ပုံ၏ နောက်ခံကို ပြောင်းလဲပေးပြီး အမြန်မုဒ်နှင့် ရလဒ် 1 မှ 4 ခု ပါဝင်သည်

`image_url` ရှိ ပုံ၏ နောက်ခံကို အစားထိုးသည်။ `prompt` ဖြင့် မြင်ကွင်းအသစ်ကို ဖော်ပြပါ သို့မဟုတ် `ref_image_url` ပေးပါ၊ နှစ်ခုလုံးကို မပေးရပါ။ `negative_prompt`၊ ပရောမ့်ပြန်လည်မွမ်းမံခြင်း၊ `fast` မော်ဒယ်ပြောင်းခလုတ်နှင့် 1 မှ 4 အထိ `num_images` တို့ကို ရွေးချယ်နိုင်သည်။ 0 နှင့် 2147483647 ကြား `seed` သည် ရလဒ်များကို ထပ်တူပြန်လည်ရရှိစေသည်။

- Model id: `bria/background/replace`
- Made by: Bria AI
- Category: Image Editing
- Output: image
- Price: $0.04 / image (cheapest run $0.04 (40 API credits))
- Run: `POST https://api.doitong.com/v1/run/bria/background/replace`
- Quote: `POST https://api.doitong.com/v1/quote/bria/background/replace`
- Docs page: https://doitong.com/my/developers/models/bria/background/replace

## Pricing

Price: **$0.04 / image**. Billed per generated image (`num_images`, default 1).

The full example input below costs $0.04 = 40 API credits (1 image × 40 API credits).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.com/v1/quote/bria/background/replace` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `image_url` | `image` | string (image URL) | yes |  |  | အကြောင်းအရာကို ဖျက်ပစ်မည့် ရင်းမြစ်ပုံ။ |
| `ref_image_url` |  | string (image URL) | no | `` |  | နောက်ခံအသစ် ဖန်တီးမှုကို ညွှန်ကြားရန် jpeg, jpg, png သို့မဟုတ် webp ရည်ညွှန်းဖိုင်ကို URL ဖြင့် ပေးပါ၊ သို့မဟုတ် URL မရှိစေရန် "" ကို အသုံးပြုပါ။ bg_prompt နှင့် ref_image_url ထဲမှ တစ်ခုတည်းကိုသာ ပေးရမည်။ ref_image_file ကို ref_image_url နှင့်အတူ ပေးပါက URL ကို ဦးစားပေးသည်။ |
| `prompt` |  | string \| null | no |  | ≥ 1 characters | ပုံဖန်တီးမှုကို ညွှန်ကြားသည့် စာသားပရောမ့်။ |
| `negative_prompt` |  | string | no | `` |  | ပုံဖန်တီးမှုအတွက် အနုတ်လက္ခဏာ စာသားပရောမ့်။ |
| `refine_prompt` |  | boolean | no | `true` |  | ပရောမ့် ပြုပြင်မွမ်းမံမှုကို ဖွင့်ထားခြင်း ရှိ၊ မရှိ ထိန်းချုပ်သည်။ |
| `seed` |  | integer \| null | no |  | 0 – 2,147,483,647 | ထပ်တူပြန်လည်ဖန်တီးနိုင်သော ပုံများအတွက် seed: မော်ဒယ်ဗားရှင်း မပြောင်းလဲပါက တူညီသော ပရောမ့်နှင့် seed သည် တူညီသောပုံကို ဖန်တီးပေးသည်။ |
| `fast` |  | boolean | no | `true` |  | မြန်ဆန်သော မော်ဒယ်ကို ရွေးချယ်ခြင်း ရှိ၊ မရှိ ထိန်းချုပ်သည်။ |
| `num_images` | `num_outputs` | integer | no | `1` | 1 – 4 | ထုတ်လုပ်မည့် ပုံအရေအတွက်။ |

File parameters (`image`, `ref_image_url`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
```

A fuller example:

```json
{
  "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/background/replace?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.com/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/background/replace?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/background/replace", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.com/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "bria/background/replace",
      "input": {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/background/replace",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `images` | array of object {url, content_type, file_name, file_size, width, height} | မော်ဒယ်မှ ထုတ်လုပ်ထားသောပုံများ။ |
| `seed` | integer | ဖန်တီးမှုအတွင်း အသုံးပြုမည့် seed။ |

## Related models

- [Bria Text-to-Image Base](https://doitong.com/developers/models/bria/text-to-image/base.md) (`bria/text-to-image/base`): $0.04 / image
- [Bria Text-to-Image Fast](https://doitong.com/developers/models/bria/text-to-image/fast.md) (`bria/text-to-image/fast`): $0.028 / image
- [Bria Text-to-Image HD](https://doitong.com/developers/models/bria/text-to-image/hd.md) (`bria/text-to-image/hd`): $0.04 / image
- [Bria](https://doitong.com/developers/models/bria/reimagine.md) (`bria/reimagine`): $0.04 / image
- [Bria Eraser](https://doitong.com/developers/models/bria/eraser.md) (`bria/eraser`): $0.04 / request
- [Bria Expand Image](https://doitong.com/developers/models/bria/expand.md) (`bria/expand`): $0.04 / request
- [Bria GenFill](https://doitong.com/developers/models/bria/genfill.md) (`bria/genfill`): $0.04 / image
- [Bria Product Dimensions](https://doitong.com/developers/models/bria/product-dimensions.md) (`bria/product-dimensions`): $0.04 / image

## Links

- HTML page: https://doitong.com/developers/models/bria/background/replace
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=bria/background/replace
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.com/v1/models/bria/background/replace
